# for the future
%define has_rhnlib 1


Summary: Panel applet for indication that newer Red Hat packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: version
Name: rhn-applet
URL: https://rhn.redhat.com/
Version: %(echo `awk '{ print $1 }' %{SOURCE1}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE1}`)
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 1.5.2-27
Requires: rpm >= 4.0.0
Requires: rpm-python >= 4.0.3-1
%if %{has_rhnlib}
Requires: rhnlib
%else
Requires: python-xmlrpc >= 1.5.0
%endif
Requires: pygtk2-libglade
Requires: pygtk2 >= 1.99.12-6
Requires: up2date-gnome >= 3.0.1
Requires: gnome-python2 >= 1.99.11-7
Requires: libgnomeui >= 2.0.3-1
Requires: libgnome >= 2.0.2-5
Requires: gnome-python2-gtkhtml2

# should be provided by up2date or up2date-gnome, but just to be sure...
Requires: /usr/share/rhn/RHNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

%description
Panel applet for indication that newer Red Hat packages are available.

%prep
%if %{?RHNdevel:1}%{!?RHNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang %{name}

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/rhn-applet-gui
/usr/bin/rhn-applet-tui
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/rhn/rhn_applet/*.so
/usr/share/pixmaps/*
/usr/share/applets/Monitors/rhn-applet.desktop
/etc/CORBA/servers/rhn-applet.gnorba
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Thu Sep  5 2002 Chip Turner <cturner@redhat.com>
- update translations, re-enable tooltips

* Tue Sep  3 2002 Chip Turner <cturner@redhat.com>
- remove clap dependencies; python-clap was removed from distro
- documentation update with new pictures
- update Requires: for proper up2date version

* Mon Sep  2 2002 Chip Turner <cturner@redhat.com>
- force utf-8 charset for html widget; fix for bug 73279
- small fix to make animation cleaner; fixes visual defect of final frame

* Mon Sep  2 2002 Chip Turner <cturner@redhat.com>
- update translations
- new icons, fix slight graphical deformity

* Sat Aug 31 2002 Chip Turner <cturner@redhat.com>
- remove some debug info, update Requires to match non-leaky python modules
- fix for silly vercmp bug

* Fri Aug 30 2002 Chip Turner <cturner@redhat.com>
- simplify animation logic, fix rpmvercmp logic to match u2d

* Fri Aug 30 2002 Chip Turner <cturner@redhat.com>
- add proper libgnomeui requirement
- add libgnome requires for proper session handling
- better error reporting of communications errors
- fix html windows to use gtkhtml2
- fix for 72918
- update i18n strings
- update docs

* Wed Aug 28 2002 Chip Turner <cturner@redhat.com>
- python2, pygnome2. pygtk2, oh my!

* Wed May 29 2002 Adrian Likins <alikins@redhat.com>
- change code to use rhn.rpclib if its available
- spec file changes to make that easier

* Tue Apr 16 2002 Chip Turner <cturner@redhat.com>
- merge new translations; doc update; consistent use of same name

* Mon Apr 15 2002 Chip Turner <cturner@redhat.com>
- bugfixes
- i18n improvement
- i18n merg, more fixes

* Sat Apr 13 2002 Chip Turner <cturner@redhat.com>
- shuffle some functions around to simplify logic

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- added new image
- subdue visual alert if user has seen the report
- addition of watermark image for first time druid

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- merged tfox's help, added better exception catching
- graphics improvements, behavior adjustment

* Fri Apr 12 2002 Tammy Fox <tfox@redhat.com>
- added help
- replace @VERSION@ with version from spec file

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- add dependency on RHNS cert

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- stupid bugfix in state machine code

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- improve error handling, add error icon, bugfixes

* Wed Apr 10 2002 Chip Turner <cturner@redhat.com>
- bug fixes and text update to terms page

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- major bug fixes for proxy code, improved config dialog

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- add proxy support and config dialog
- move initial consent message to the config dialog druid

* Mon Apr  8 2002 Chip Turner <cturner@redhat.com>
- i18n update, graphics touchup

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- resized images to support 36x36 panel
- put icon on menu

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- minor graphical glitch updades

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- major core update to support antialiased pixmap icon

* Thu Mar 14 2002 Chip Turner <cturner@redhat.com>
- added proper Requires, changed to noarch

* Wed Mar 13 2002 Chip Turner <cturner@redhat.com>
- Initial creation, stolen from up2date spec

